Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Add a switch to build linux binaries with builtin libtommath [CORE5205] #5486

Closed
firebird-issue-importer opened this issue Apr 23, 2016 · 9 comments

Comments

@firebird-issue-importer

Submitted by: @paulbeach

Some popular linux distro (SLES) have problems with tommath install. It will be good idea if SF binaries can install own copy of tommath in that case.

Commits: 8729f2b a11b0ad

@firebird-issue-importer
Copy link
Author

firebird-issue-importer commented Apr 23, 2016

Modified by: @AlexPeshkoff

assignee: Alexander Peshkov [ alexpeshkoff ]

@firebird-issue-importer
Copy link
Author

firebird-issue-importer commented Apr 23, 2016

Modified by: @AlexPeshkoff

reporter: Alexander Peshkov [ alexpeshkoff ] => Paul Beach [ pbeach ]

@firebird-issue-importer
Copy link
Author

firebird-issue-importer commented Apr 23, 2016

Commented by: @mkubecek

Can you be more specific about the problems on SLES? The packages from

http://download.opensuse.org/repositories/home:/mkubecek:/firebird30/SLE_11_SP4/
http://download.opensuse.org/repositories/home:/mkubecek:/firebird30/SLE_12/
http://download.opensuse.org/repositories/home:/mkubecek:/firebird30/SLE_12_SP1/

(built in OBS project home:mkubecek:firebird30) seem to work for me. I recently disabled builds for SLE11 SP3 when it went to LTSS but I haven't seen any problems there either.

@firebird-issue-importer
Copy link
Author

firebird-issue-importer commented Apr 24, 2016

Commented by: @AlexPeshkoff

There are definitely a lot of ways to install that library (build from source s is also trivial) but tommath is not supported by official repository.

@firebird-issue-importer
Copy link
Author

firebird-issue-importer commented Apr 24, 2016

Modified by: @AlexPeshkoff

status: Open [ 1 ] => Resolved [ 5 ]

resolution: Fixed [ 1 ]

Fix Version: 3.0.1 [ 10730 ]

Fix Version: 4.0 Alpha 1 [ 10731 ]

@firebird-issue-importer
Copy link
Author

firebird-issue-importer commented Apr 24, 2016

Commented by: @mkubecek

I see. I agree that allowing to use embedded libtommath source is useful (it just shouldn't be default, IMHO). It was just the phrase "have problems with tommath install" which sounded as if there was some problem with building libtommath on SLE, installing it there or using it to build or run Firebird. If it was only about the absence in official repositories, that's something I cannot help with, or at least not in SLE <= 12.

@firebird-issue-importer
Copy link
Author

firebird-issue-importer commented Apr 25, 2016

Commented by: @paulbeach

This is also an issue for MacOSX where libtommath is not installed by default.

@firebird-issue-importer
Copy link
Author

firebird-issue-importer commented Apr 25, 2016

Modified by: @pavel-zotov

status: Resolved [ 5 ] => Resolved [ 5 ]

QA Status: No test => Cannot be tested

@firebird-issue-importer
Copy link
Author

firebird-issue-importer commented Feb 3, 2019

Commented by: Julien Nabet (julien2412)

On pc Debian x86-64 testing updated today, I can't build Firebird core updated today.
I used ./autogen.sh --with-builtin-tommath --with-editline=no
but building gives:
/usr/bin/ld: cannot find -ltommath
collect2: error: ld returned 1 exit status

Of course, I can install tommath but the goal is to build without installing the package and take benefit of --with-builtin-tommath

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment